Mike J. wrote:
> ...but now I have rebuilt my system, and installed ruby, installed 
> sqlite (which I know works because I have created a database replete 
> with tables and data and other apps see it, like BeAccessible) but when 
> I try to install ruby-dbi or sqlite-ruby it bombs.
> 
> $ ruby -v
> ruby 1.6.4 (2001-06-04) [i586-beos]  
> 
> sqlite-ruby:
> 
> $ ruby extconf.rb
> checking for main() in -lsqlite... no
> checking for sqlite.h... yes
> checking for sqlite_open() in -lsqlite... no  
> 

Try looking in the mkmf.log file -- it should explain why the last check 
is failing.  Or, email it (mkmf.log) to me (directly: 
jgb3 / email.byu.edu) and I'll take a look at it (I'm the author of 
sqlite-ruby, so I suppose it's my responsibility...;)).

- Jamis

-- 
Jamis Buck
jgb3 / email.byu.edu
http://www.jamisbuck.org/jamis

ruby -h | ruby -e 
'a=[];readlines.join.scan(/-(.)\[e|Kk(\S*)|le.l(..)e|#!(\S*)/) {|r| a << 
r.compact.first };puts "\n>#{a.join(%q/ /)}<\n\n"'